aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.CopyObject

Synopsis

- data CopyMetadataDirective
  - = CopyMetadata
  - | ReplaceMetadata [(Text, Text)]
- data CopyObject = CopyObject {
  - coObjectName :: Text
  - coBucket :: Bucket
  - coSource :: ObjectId
  - coMetadataDirective :: CopyMetadataDirective
  - coIfMatch :: Maybe Text
  - coIfNoneMatch :: Maybe Text
  - coIfUnmodifiedSince :: Maybe UTCTime
  - coIfModifiedSince :: Maybe UTCTime
  - coStorageClass :: Maybe StorageClass
  - coAcl :: Maybe CannedAcl
  - coContentType :: Maybe ByteString
  }
- copyObject :: Bucket -> Text -> ObjectId -> CopyMetadataDirective -> CopyObject
- data CopyObjectResponse = CopyObjectResponse {
  - corVersionId :: Maybe Text
  - corLastModified :: UTCTime
  - corETag :: Text
  }

# Documentation

data CopyMetadataDirective #

Constructors

CopyMetadata |
ReplaceMetadata [(Text, Text)] |

Instances

Show CopyMetadataDirective # |
Methods showsPrec :: Int -> CopyMetadataDirective -> ShowS # show :: CopyMetadataDirective -> String # showList :: [CopyMetadataDirective] -> ShowS #

data CopyObject #

Constructors

CopyObject |
Fields coObjectName :: Text coBucket :: Bucket coSource :: ObjectId coMetadataDirective :: CopyMetadataDirective coIfMatch :: Maybe Text coIfNoneMatch :: Maybe Text coIfUnmodifiedSince :: Maybe UTCTime coIfModifiedSince :: Maybe UTCTime coStorageClass :: Maybe StorageClass coAcl :: Maybe CannedAcl coContentType :: Maybe ByteString

Instances

Show CopyObject # |
Methods showsPrec :: Int -> CopyObject -> ShowS # show :: CopyObject -> String # showList :: [CopyObject] -> ShowS #
SignQuery CopyObject # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration CopyObject :: * -> * # Methods signQuery :: CopyObject -> ServiceConfiguration CopyObject queryType -> SignatureData -> SignedQuery #
Transaction CopyObject CopyObjectResponse # |
ResponseConsumer CopyObject CopyObjectResponse # |
Associated Types type ResponseMetadata CopyObjectResponse :: * # Methods responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse #
type ServiceConfiguration CopyObject # |
type ServiceConfiguration CopyObject = S3Configuration

copyObject :: Bucket -> Text -> ObjectId -> CopyMetadataDirective -> CopyObject #

data CopyObjectResponse #

Constructors

CopyObjectResponse |
Fields corVersionId :: Maybe Text corLastModified :: UTCTime corETag :: Text

Instances

Show CopyObjectResponse # |
Methods showsPrec :: Int -> CopyObjectResponse -> ShowS # show :: CopyObjectResponse -> String # showList :: [CopyObjectResponse] -> ShowS #
AsMemoryResponse CopyObjectResponse # |
Associated Types type MemoryResponse CopyObjectResponse :: * # Methods loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) #
Transaction CopyObject CopyObjectResponse # |
ResponseConsumer CopyObject CopyObjectResponse # |
Associated Types type ResponseMetadata CopyObjectResponse :: * # Methods responseConsumer :: Request -> CopyObject -> IORef (ResponseMetadata CopyObjectResponse) -> HTTPResponseConsumer CopyObjectResponse #
type MemoryResponse CopyObjectResponse # |
type MemoryResponse CopyObjectResponse = CopyObjectResponse
type ResponseMetadata CopyObjectResponse # |
type ResponseMetadata CopyObjectResponse = S3Metadata